Bug 439744 - Review Request: rubberband - Audio time-stretching and pitch-shifting library
Review Request: rubberband - Audio time-stretching and pitch-shifting library
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-30 23:53 EDT by Michel Alexandre Salim
Modified: 2008-05-17 18:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0.1-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-17 18:24:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
alexl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-03-30 23:53:25 EDT
Spec URL: http://salimma.fedorapeople.org/for_review/music/rubberband.spec
SRPM URL: http://salimma.fedorapeople.org/for_review/music/rubberband-1.0.1-1.fc9.src.rpm
Description:
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

This package is needed to update Sonic Visualiser to 1.2 -- please review. Thanks!
Comment 1 Alex Lancaster 2008-04-02 07:58:55 EDT
 - Package meets naming and packaging guidelines: YES
 - Spec file matches base package name.: YES
 - Spec has consistant macro usage.  YES
 - Meets Packaging Guidelines. YES
 - License: GPLv2+
 - License field in spec matches: YES
 - License file included in package: YES
 - Spec in American English: YES
 - Spec is legible.: YES
 - Sources match upstream md5sum:
eb9524064ae48d6a3af0779590ff4ebc  rubberband-1.0.1.tar.bz2
 - Package needs ExcludeArch: NO
 - BuildRequires correct: YES (builds correctly in koji/mock, see under SHOULD
items)
 - Spec handles locales/find_lang: N/A
 - Package is relocatable and has a reason to be.:  N/A
 - Package has %defattr and permissions on files is good.: YES
 - Package has a correct %clean section. YES
 - Package has correct buildroot: YES
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 - Package is code or permissible content: YES
 - Doc subpackage needed/used.: NO
 - Packages %doc files don't affect runtime.: YES

 - Headers/static libs in -devel subpackage.: YES
 - Spec has needed ldconfig in post and postun: YES
 - .pc files in -devel subpackage/requires pkgconfig: YES
 - .so files in -devel subpackage.
 - -devel package Requires: %{name} = %{version}-%{release} : YES
 - .la files are removed. N/A

 - Package is a GUI app and has a .desktop file: N/A

 - Package compiles and builds on at least one arch. YES (F-8, i386)
 - Package has no duplicate files in %files. YES
 - Package doesn't own any directories other packages own.  YES
 - Package owns all the directories it creates. YES
 - rpmlint output.

rpmlint rubberband-1.0.1*.rpm rubberband-devel*.rpm
rubberband-devel.i386: W: no-documentation
 (the warning can be ignored)

 - final provides and requires are sane (glibc, rpmlib provides removed):

rubberband-1.0.1-1.fc8.i386.rpm
ladspa-rubberband.so  
librubberband.so.1  
vamp-rubberband.so  
rubberband = 1.0.1-1.fc8
=
/sbin/ldconfig  
/sbin/ldconfig  
libfftw3.so.3  
libgcc_s.so.1  
libgcc_s.so.1(GCC_3.0)  
libsamplerate.so.0  
libsamplerate.so.0(libsamplerate.so.0.0)  
libsndfile.so.1  
libsndfile.so.1(libsndfile.so.1.0)  
libstdc++.so.6  
libstdc++.so.6(CXXABI_1.3)  
libstdc++.so.6(GLIBCXX_3.4)  
libvamp-sdk.so.1.1.0  
rtld(GNU_HASH)  

rubberband-devel-1.0.1-1.fc8.i386.rpm
rubberband-devel = 1.0.1-1.fc8
=
librubberband.so.1  
pkgconfig  
rubberband = 1.0.1-1.fc8


SHOULD Items:

 - Should build in mock: YES, SRPM builds successfully on koji for f-9:
http://koji.fedoraproject.org/koji/taskinfo?taskID=543841
 - Should build on all supported archs: YES (see above)
 - Should function as described.  YES: tested on F-8, stretches .wav files nicely
 - Should have sane scriptlets. YES
 - Should have subpackages require base package with fully versioned depend. YES
 - Should have dist tag  YES
 - Should package latest version YES

Issues:

None.  APPROVED
Comment 2 Michel Alexandre Salim 2008-04-03 10:26:04 EDT
Thanks!

New Package CVS Request
=======================
Package Name: rubberband
Short Description: Audio time-stretching and pitch-shifting library
Owners: salimma
Branches: EL-5 F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 3 Kevin Fenzi 2008-04-03 16:23:20 EDT
cvs done.
Comment 4 Fedora Update System 2008-04-04 00:46:50 EDT
rubberband-1.0.1-1.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-04-04 00:47:26 EDT
rubberband-1.0.1-1.fc7 has been submitted as an update for Fedora 7
Comment 6 Hans de Goede 2008-04-24 10:02:47 EDT
Hmm,

Michel, something is wrong here, this bug is closedm and the bodhi added
comments suggest rubberband is in updates, but it isn't both according to:
https://admin.fedoraproject.org/updates/F8/FEDORA-2008-2954

And in the repo it is still in updates-testing. Can you fix this please (request
a push to stable in bodhi).

Thanks!
Comment 7 Hans de Goede 2008-04-28 12:59:27 EDT
Ping Michel, can this please be pushed to stabel updates?
Comment 8 Hans de Goede 2008-05-03 13:21:39 EDT
Ping again,

Can this please be pushed to stable updates?
Comment 9 Hans de Goede 2008-05-08 08:47:01 EDT
This is getting really annoying now, really how much work is it to login to
http://admin.fedoraproject.org/updates and the click on push to stable?

Pingidy Pingie dy pong?
Comment 10 Fedora Update System 2008-05-17 18:24:51 EDT
rubberband-1.0.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-05-17 18:29:07 EDT
rubberband-1.0.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.